## v-sim 3.8.0

=== lib/plug-ins/msym/libmsym/examples/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.11)

include_directories(${PROJECT_BINARY_DIR} "${PROJECT_SOURCE_DIR}/src")

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
#set_target_properties (msym PROPERTIES
#        C_STANDARD 99
#        C_STANDARD_REQUIRED ON)


#set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -flto")
#set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -fsanitize=address -fno-omit-frame-pointer")
#set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -fsanitize=memory -fno-omit-frame-pointer -fsanitize-memory-track-origins")
#set (CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -flto" )

add_executable (msym_example msym_example.c example.c)
add_executable (msym_tex tex_character_table)

target_link_libraries (msym_example LINK_PUBLIC msym)
target_link_libraries (msym_tex LINK_PUBLIC msym)

## v-sim 3.6.0

=== debian/changelog ===
v-sim (3.6.0-2) unstable; urgency=low

  * Closes: #632165, remove collision.ascii file from v-sim-doc.

 -- Damien Caliste <damien.caliste@cea.fr>  Fri, 01 Jul 2011 10:31:34 +0200

v-sim (3.6.0-1) unstable; urgency=low

  * New upstream version (new stable branch).
  * Update Standards-Version tag to 3.9.2.0 (change the SONAME of the library).
  * Closes: #599891, autotools used by upstream now include the correction.
  * Add forgotten icons for the hicolor theme in the common package.
  * Remove the old xpm icon.

 -- Damien Caliste <damien.caliste@cea.fr>  Wed, 29 Jun 2011 14:30:34 +0200

v-sim (3.5.2-2) UNRELEASED; urgency=low

  * Standards-Version updated to version 3.9.2
  * Removed myself from the uploader

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Apr 2011 13:51:53 +0200

v-sim (3.5.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Oct 2010 17:55:56 +0200

v-sim (3.5.1-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release of the stable branch).
  * Update Standards-Version tag to 3.8.4 (nothing to change).
  * Closes: #556517, add a -lX11 to the linker when compiling on a X11
    platform with built-in V_Sim OpenGL support.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Mar 2010 11:43:30 +0100

v-sim (3.5.0-2) unstable; urgency=low

   [ Damien Caliste ]
  * Closes: #554339, applying the patch proposed by Nobuhiro Iwamatsu for
    sh4 architectures.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Nov 2009 10:46:34 +0100

v-sim (3.5.0-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (new stable release).
  * Add the new authors to the copyright file.
  * Add the cube plug-in in the configure line.
  * Upgrade standard value field in control file to 3.8.3 (change
    the category in the .desktop file).
  * Change the descriptions of the different package keeping a long
    one for the V_Sim package itself, and reducing it for the other
    packages.
  * Add two lintian override for v-sim package that contains a library
    with a wrong soname and no separeted -dev package. This library is small
    a only used by V_Sim, so there's no requirement for an additional
    package.
  * Remove the installation of README, AUTHORS and NEWS for all packages
    except v-sim-common.
  * Move several files from v-sim/ to doc/v-sim-doc/ directory. Also remove
    some text files from v-sim to move them into v-sim-common.

    [ Sylvestre Ledru ]
  * Change of my email address since I am now DD
  * Removal of Torsten on his request
  * DM-Upload-Allowed removed
  * New build-dep on gfortran

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Nov 2009 09:40:00 +0100

v-sim (3.4.4-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release).
  * Correct the copyright file, extending copyright to 2009, adding
    Lherbier as upstream author and correcting the Lintian warning
    about the versionless symlink of GPL (put it on GPL-2 only).
  * Upgrade standard value field in control file to 3.8.1 (no other
    change is required for this upgrade).

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 08 Jun 2009 13:14:34 +0200

v-sim (3.4.3-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release).
  * Correct the lintian warning on the manpage.
  * Correct the copyright issue from lintian report.
  * Differentiate the short description of the different packages.

   [ Sylvestre Ledru ]
  *  Added Damien Caliste <damien.caliste@cea.fr> as uploader

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 16 Feb 2009 15:12:45 +0100

v-sim (3.4.2-1) unstable; urgency=low

   [ Damien Caliste ]
  * New upstream version (bug correction release).

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 08 Dec 2008 18:24:45 +0100

v-sim (3.4.1-1) unstable; urgency=low

  * Fix some lintian warnings

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 30 Oct 2008 10:05:45 +0100

v-sim (3.4.1-0) unstable; urgency=low

  * New upstream version.

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 10 Sep 2008 17:18:33 +0200
 

v-sim (3.4.0.3-3) unstable; urgency=low

  * Lintian warning removed: useless dep to quilt

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Mon, 11 Aug 2008 19:01:24 +0200

v-sim (3.4.0.3-2) unstable; urgency=low

  * Explicit dependencies removed (Closes: #492777)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Tue, 29 Jul 2008 11:00:28 +0200

v-sim (3.4.0.3-1) unstable; urgency=low

  [ Damien Caliste ]
  * configure options updated
  * new package v-sim-plugins created
  * Menu item added
  * Desktop item added
  * New upstream version (change some file locations to avoid images in
    library locations)
  * Correct extended description of v-sim-plugins to have indentation
  * Correct the menu section
  * Remove the v-sim-doc.links file since it only apply to developer doc.
  * Move the dependencies on libnetcdf and libopenbabel from the main
    package to the plugin one

  [ Sylvestre Ledru ]
  * New upstream version
  * SVN URLs updated
  * orig-tar.sh script updated to repack bz2 => gz
  * watch file updated
  * Standards-Version updated to 3.8.0.1
  * Merge changes from upstream
  * Lintian warning {post,pre}inst-has-useless-call-to-ldconfig removed
  * Lintian override added v-sim-common: extra-license-file we do need them 
    since they are needed by the application itself.
  * Images for the menu moved to the v-sim package instead of v-sim-common
  * Depends on libopenbabel3 instead of libopenbabel2

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Thu, 24 Jul 2008 11:19:24 +0200

v-sim (3.3.3-1) unstable; urgency=low

  * Initial release (Closes: #480476)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 25 Apr 2008 23:27:11 +0200

=== debian/control ===
Source: v-sim
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Damien Caliste <damien.caliste@cea.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), cdbs, autotools-dev, 
 mesa-common-dev, libglu1-mesa-dev, pkg-config, libglib2.0-dev,
 libgtk2.0-dev, libnetcdf-dev, libopenbabel-dev (>=2.2.0), 
 gtk-doc-tools, gfortran, gobject-introspection, python-gobject-dev,
 libgirepository1.0-dev, gir1.2-gtk-2.0
Standards-Version: 3.9.2.0
Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/v-sim/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/v-sim/

Package: v-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 v-sim-common (= ${source:Version})
Suggests: v-sim-doc, v-sim-plugins (= ${binary:Version})
Description: Visualize atomic structures
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 The rendering is done in pseudo-3D with spheres (atoms) or arrows (spins).
 The user can interact through many functions to choose the view, set the
 bindings, draw cutting planes, compute surfaces from scalar fields,
 duplicate nodes, measure geometry... Moreover V_Sim allows one to export the
 view as images in PNG, JPG, PDF (bitmap), SVG (scheme) and other formats.
 Some tools are also available to colorize atoms from data values or to
 animate on screen many position files.

Package: v-sim-common
Architecture: all
Depends: ${misc:Depends}
Description: Visualize atomic structures (support files)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 This is the arch independent common parts of V_Sim.

Package: gir1.2-v-sim-1.0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${gir:Depends}
Description: Visualize atomic structures (gir bindings)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: v-sim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Visualize atomic structures (example files)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 A comprehensive manual is available on the web site,
 see http://inac.cea.fr/L_Sim/V_Sim/user_guide.html.
 .
 This package contains several examples of files readable with V_Sim.

Package: v-sim-plugins
Architecture: any
Depends: v-sim (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 gir1.2-v-sim-1.0 (= ${binary:Version})
Suggests: netcdf-bin
Description: Plugins for V_Sim (a 3D visualization package)
 This package contains the plugins to be used with V_Sim, a 3D
 visualization package for solid state physics. The available plugins are:
  - an input file plugin for the new ETSF file format (see http://www.etsf.eu).
  - an input file plugin using OpenBabel to import many formats, mainly from 
    the chemistry software (see http://www.openbabel.org).
  - an input file plugin to read the XcrysDen File Format.
  - an input file plugin to read the Cube file format introduced by
    Gaussian and used by others like SIESTA.
  - an additional panel to load Python scripts.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS := --with-etsf-file-format --with-openbabel --with-xsf --with-cube --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(DEB_DESTDIR)
DEB_INSTALL_DOCS_v-sim := -XAUTHORS -Xbugs -XREADME -XNEWS -Xtodo -XChangeLog
DEB_INSTALL_DOCS_v-sim-doc := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_v-sim-plugins := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_gir1.2-v-sim-1.0 := -XAUTHORS -XREADME -XNEWS

# Avoid postinst-has-useless-call-to-ldconfig
DEB_DH_MAKESHLIBS_ARGS_v-sim-plugins := -n
# Avoid compressing files that are required as clear texts by V_Sim.
DEB_DH_COMPRESS_ARGS_ALL := -Xlicence.fr.txt -Xlicence.en.txt -XChangeLog.fr -XChangeLog.en
# Avoid unfound .gir for the typelib
DEB_DH_GIREPOSITORY_ARGS := -pgir1.2-v-sim-1.0

#install/v-sim-doc::
#	rm -rf debian/tmp/usr/share/gtk-doc

get-orig-source:
	-uscan --upstream-version 0

## v-sim 3.7.0

=== debian/changelog ===
v-sim (3.7.0-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Sun, 26 Jan 2014 00:54:52 -0500

v-sim (3.7.0-2) unstable; urgency=low

  * Change gir1.2-v-sim-1.0 section from libs to introspection.
  * Make v-sim conflicts v-sim-common << 3.7.0-1 to allow upgrade
    from version 3.6.0-3 (Close: #723941).
  * Add a new python-v-sim package with the V_Sim python overrides
    for gobject-introspection.
  * Add missing libyaml-dev as build dependency.

 -- Damien Caliste <damien.caliste@cea.fr>  Wed, 25 Sep 2013 10:22:04 +0200

v-sim (3.7.0-1) unstable; urgency=low

  [ Damien Caliste ]
  * Merge patches/python-includes.diff upstyream.
  * New upstream release with new capabilities and improvements.
  * Put the desktop file in the binary package to correct Lintian
    warning desktop-command-not-in-package.
  * Compile with Gtk3.0.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Sep 2013 16:38:04 +0200

v-sim (3.6.0-3) unstable; urgency=low

  * Team upload
  * Fix FTBFS (Closes: #713277). See python-includes.diff
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Aug 2013 16:54:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: v-sim
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Caliste <damien.caliste@cea.fr>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5), cdbs, autotools-dev, 
+Build-Depends: debhelper (>= 5), cdbs, dh-autoreconf, 
  mesa-common-dev, libglu1-mesa-dev, pkg-config, libglib2.0-dev,
- libgtk2.0-dev, libnetcdf-dev, libopenbabel-dev (>=2.2.0), 
- gtk-doc-tools, gfortran, gobject-introspection, python-gobject-dev,
- libgirepository1.0-dev, gir1.2-gtk-2.0
-Standards-Version: 3.9.2.0
+ libgtk-3-dev, libnetcdf-dev, libopenbabel-dev (>=2.2.0), 
+ gtk-doc-tools, gfortran, gobject-introspection, python-gi-dev,
+ libgirepository1.0-dev, gir1.2-gtk-3.0, libftgl-dev, libarchive-dev,
+ python-all-dev, libyaml-dev, python-gi-dev, python-gobject-dev
+Standards-Version: 3.9.4
 Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/v-sim/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/v-sim/
@@ -18,6 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  v-sim-common (= ${source:Version})
+Conflicts: v-sim-common (<< 3.7.0-1)
 Suggests: v-sim-doc, v-sim-plugins (= ${binary:Version})
 Description: Visualize atomic structures
  V_Sim visualizes atomic structures such as crystals, grain boundaries,
@@ -41,9 +43,9 @@
  This is the arch independent common parts of V_Sim.
 
 Package: gir1.2-v-sim-1.0
-Section: libs
+Section: introspection
 Architecture: any
-Depends: ${misc:Depends}, ${gir:Depends}
+Depends: ${misc:Depends}, ${gir:Depends}, v-sim (= ${binary:Version})
 Description: Visualize atomic structures (gir bindings)
  V_Sim visualizes atomic structures such as crystals, grain boundaries,
  molecules and so on (either in binary format, or in plain text format).
@@ -67,7 +69,7 @@
 Package: v-sim-plugins
 Architecture: any
 Depends: v-sim (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- gir1.2-v-sim-1.0 (= ${binary:Version})
+ gir1.2-v-sim-1.0 (= ${binary:Version}), python-v-sim (= ${source:Version})
 Suggests: netcdf-bin
 Description: Plugins for V_Sim (a 3D visualization package)
  This package contains the plugins to be used with V_Sim, a 3D
@@ -79,3 +81,18 @@
   - an input file plugin to read the Cube file format introduced by
     Gaussian and used by others like SIESTA.
   - an additional panel to load Python scripts.
+
+Package: python-v-sim
+Section: python
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         gir1.2-v-sim-1.0 (>= ${binary:Version}),
+         python-gi
+Suggests: v-sim-plugins
+Description: Python bindings for V_Sim (a 3D visualization package)
+ Using gobject-introspection and python-gobject, one can access V_Sim API
+ using Python.
+ .
+ This package contains the Python bindings for V_Sim, a 3D
+ visualization package for solid state physics.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008-2013 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_USER_FLAGS := --with-gtk3 --with-etsf-file-format --with-openbabel --with-xsf --with-cube --with-archives --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(DEB_DESTDIR)
DEB_INSTALL_DOCS_v-sim := -XAUTHORS -Xbugs -XREADME -XNEWS -Xtodo -XChangeLog
DEB_INSTALL_DOCS_v-sim-doc := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_v-sim-plugins := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_gir1.2-v-sim-1.0 := -XAUTHORS -XREADME -XNEWS
DEB_INSTALL_DOCS_python-v-sim := -XAUTHORS -XREADME -XNEWS

# Avoid postinst-has-useless-call-to-ldconfig
DEB_DH_MAKESHLIBS_ARGS_v-sim-plugins := -n
# Avoid compressing files that are required as clear texts by V_Sim.
DEB_DH_COMPRESS_ARGS_ALL := -Xlicence.fr.txt -Xlicence.en.txt -XChangeLog.fr -XChangeLog.en
# Avoid unfound .gir for the typelib
DEB_DH_GIREPOSITORY_ARGS := -pgir1.2-v-sim-1.0

#install/v-sim-doc::
#	rm -rf debian/tmp/usr/share/gtk-doc

binary-install/python-v-sim::
	dh_python2 -ppython-v-sim --no-guessing-deps

get-orig-source:
	-uscan --upstream-version 0

## v-sim 3.7.1

=== debian/changelog ===
v-sim (3.7.1-1ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el
      by getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 30 Apr 2014 19:22:58 -0400

v-sim (3.7.1-1) unstable; urgency=low

  * New upstream release with bug corrections for 3.7.0.
  * Standards-Version updated to 3.9.5

 -- Damien Caliste <damien.caliste@cea.fr>  Wed, 09 Apr 2014 12:03:45 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gtk-doc-tools, gfortran, gobject-introspection, python-gi-dev,
  libgirepository1.0-dev, gir1.2-gtk-3.0, libftgl-dev, libarchive-dev,
  python-all-dev, libyaml-dev, python-gi-dev, python-gobject-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/v-sim/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/v-sim/

## v-sim 3.7.2

=== debian/changelog ===
v-sim (3.7.2-8build7) jammy; urgency=medium

  * No-change rebuild against libnetcdf19

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 29 Oct 2021 10:23:02 +0000

v-sim (3.7.2-8build6) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 12:22:07 +0200

v-sim (3.7.2-8build4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 13:08:34 +0200

v-sim (3.7.2-8build3) groovy; urgency=medium

  * Rebuild against new libopenbabel7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 10:14:18 +0200

v-sim (3.7.2-8build2) groovy; urgency=medium

  * No-change rebuild against libnetcdf18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 May 2020 17:16:17 +0000

v-sim (3.7.2-8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:46 +0100

v-sim (3.7.2-8) unstable; urgency=medium

  * Team upload.
  * Update openbabel plugin to be compatible with OpenBabel 3.x.

 -- Stuart Prescott <stuart@debian.org>  Mon, 27 Jan 2020 16:28:07 +1100

v-sim (3.7.2-7) unstable; urgency=medium

  * Team upload.
  * Drop the Python 2 module package (Closes: #938803).
  * Add a Python 3 module package.
    - modify build system to find and use Python 3
  * Add Rules-Requires-Root: no.
  * Update Vcs fields to canonical form.
  * Drop obsolete Conflicts.

 -- Stuart Prescott <stuart@debian.org>  Thu, 23 Jan 2020 00:51:51 +1100

v-sim (3.7.2-6) unstable; urgency=low

  * Standards-Version updated to 4.2.0
  * Add Multi-Arch: foreign to v-sim-common and v-sim-doc
  * Add a Comment= entry in v_sim.desktop
  * Fix the overrides importation of Python module (Closes: #896226)

 -- Damien Caliste <damien.caliste@cea.fr>  Thu, 26 Jul 2018 15:50:43 +0200

v-sim (3.7.2-5) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Build-Depends: dh-python
  * Drop autotools-dev from Build-Depends
  * Drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2018 12:45:43 +0100

v-sim (3.7.2-4) unstable; urgency=medium

  * Team upload
  * Drop the python-gobject-dev dep (Closes: #879052)
  * Standards-Version updated 4.1.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 20 Oct 2017 10:22:43 +0200

v-sim (3.7.2-3) unstable; urgency=low

  * debian/compat updated to 10
  * removed v-sim.menu (correct Lintian command-in-menu-file-and-desktop-file)

 -- Damien Caliste <damien.caliste@cea.fr>  Mon, 14 Nov 2016 14:07:45 +0100

v-sim (3.7.2-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependencies (Closes: #837865)
  * Standards-Version updated to 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Nov 2016 12:20:51 +0100

v-sim (3.7.2-1) unstable; urgency=low

  * New upstream release with bug corrections for 3.7.0.
  * Standards-Version updated to 3.9.6
  * Fix FTBFS (Closes: #750306)

 -- Damien Caliste <damien.caliste@cea.fr>  Tue, 06 Jan 2015 12:31:45 +0100

=== debian/control ===
Source: v-sim
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Damien Caliste <damien.caliste@cea.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cdbs,
               dh-python,
               mesa-common-dev,
               libglu1-mesa-dev,
               pkg-config,
               libglib2.0-dev,
               libgtk-3-dev,
               libnetcdf-dev,
               libopenbabel-dev,
               libtool-bin,
               gtk-doc-tools,
               gfortran,
               gobject-introspection,
               python3-gi,
               python-gi-dev,
               libgirepository1.0-dev,
               gir1.2-gtk-3.0,
               libftgl-dev,
               libarchive-dev,
               python3-all-dev,
               libyaml-dev,
               intltool,
               gnome-common,
               autoconf-archive
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/science-team/v-sim
Vcs-Git: https://salsa.debian.org/science-team/v-sim.git
Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
Rules-Requires-Root: no

Package: v-sim
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         v-sim-common (= ${source:Version})
Suggests: v-sim-doc,
          v-sim-plugins (= ${binary:Version})
Description: Visualize atomic structures
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 The rendering is done in pseudo-3D with spheres (atoms) or arrows (spins).
 The user can interact through many functions to choose the view, set the
 bindings, draw cutting planes, compute surfaces from scalar fields,
 duplicate nodes, measure geometry... Moreover V_Sim allows one to export the
 view as images in PNG, JPG, PDF (bitmap), SVG (scheme) and other formats.
 Some tools are also available to colorize atoms from data values or to
 animate on screen many position files.

Package: v-sim-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Visualize atomic structures (support files)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 This is the arch independent common parts of V_Sim.

Package: gir1.2-v-sim-1.0
Architecture: any
Section: introspection
Depends: ${misc:Depends},
         ${gir:Depends},
         v-sim (= ${binary:Version})
Description: Visualize atomic structures (gir bindings)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: v-sim-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Visualize atomic structures (example files)
 V_Sim visualizes atomic structures such as crystals, grain boundaries,
 molecules and so on (either in binary format, or in plain text format).
 .
 A comprehensive manual is available on the web site,
 see http://inac.cea.fr/L_Sim/V_Sim/user_guide.html.
 .
 This package contains several examples of files readable with V_Sim.

Package: v-sim-plugins
Architecture: any
Depends: v-sim (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-v-sim-1.0 (= ${binary:Version}),
         python3-v-sim (= ${source:Version})
Suggests: netcdf-bin
Description: Plugins for V_Sim (a 3D visualization package)
 This package contains the plugins to be used with V_Sim, a 3D
 visualization package for solid state physics. The available plugins are:
  - an input file plugin for the new ETSF file format (see http://www.etsf.eu).
  - an input file plugin using OpenBabel to import many formats, mainly from
    the chemistry software (see http://www.openbabel.org).
  - an input file plugin to read the XcrysDen File Format.
  - an input file plugin to read the Cube file format introduced by
    Gaussian and used by others like SIESTA.
  - an additional panel to load Python scripts.

Package: python3-v-sim
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         gir1.2-v-sim-1.0 (>= ${binary:Version}),
         python3-gi,
         python3,
Suggests: v-sim-plugins
Description: Python bindings for V_Sim (a 3D visualization package)
 Using gobject-introspection and python-gobject, one can access V_Sim API
 using Python.
 .
 This package contains the Python bindings for V_Sim, a 3D
 visualization package for solid state physics.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # Copyright 2008-2013 Sylvestre Ledru <sylvestre.ledru@inria.fr>
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/gnome.mk
 
@@ -21,11 +20,13 @@
 # Avoid unfound .gir for the typelib
 DEB_DH_GIREPOSITORY_ARGS := -pgir1.2-v-sim-1.0
 
+export PYTHON=python3
+
 #install/v-sim-doc::
 #	rm -rf debian/tmp/usr/share/gtk-doc
 
-binary-install/python-v-sim::
-	dh_python2 -ppython-v-sim --no-guessing-deps
+binary-install/python3-v-sim::
+	dh_python3 -ppython3-v-sim --no-guessing-deps
 
 get-orig-source:
 	-uscan --upstream-version 0

=== debian/watch ===
version=3
opts=filenamemangle=s/.*v_sim-(.*).tar.bz2/v-sim_$1.orig.tar.bz2/,downloadurlmangle=s{-confirm.en.html\?}{/} \
  http://inac.cea.fr/L_Sim/V_Sim/download.html .*v_sim-(.*).tar.bz2 \
debian debian/orig-tar.sh

## v-sim 3.8.0

=== debian/changelog ===
v-sim (3.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Sudip Mukherjee ]
  * Set program_name using PyConfig to fix FTBFS. (Closes: #1075614)

  [ Andreas Tille ]
  * New upstream version
  * Fix Homepage
  * Use gitmode in watch file
  * Switch from cdbs to dh
  * Ignore build time test suite errors
  * d/control:
     - Drop Build-Depends: gnome-common
     - Build-Depends: s/pkg-config/pkgconf/
  * Standards-Version: 4.7.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Fix DEP3 header
  * Fix dh_missing

  [ Simon McVittie ]
  * Add dh-sequence-gir to Build-Depends.

  [ Santiago Vila ]
  * Fix build failure on i386.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Feb 2025 13:25:00 +0100

v-sim (3.7.2-9) unstable; urgency=medium

  [ Florian Ernst ]
  * Fix FTBFS with Python>=3.10 by regenerating configure at build time
    (Closes: #1008749)

  [ Ileana Dumitrescu ]
  * Update to dep5 copyright version 1.0
  * Fixed some other lintian issues

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Remove deprecated Encoding key from desktop file debian/v-sim.desktop.
  * Update standards version to 4.2.1, no changes needed.

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Mon, 14 Nov 2022 21:28:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: v-sim
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Caliste <damien.caliste@cea.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cdbs,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-gir,
                mesa-common-dev,
                libglu1-mesa-dev,
-               pkg-config,
+               pkgconf,
                libglib2.0-dev,
                libgtk-3-dev,
                libnetcdf-dev,
                libopenbabel-dev,
-               libtool-bin,
                gtk-doc-tools,
                gfortran,
                gobject-introspection,
@@ -27,12 +25,11 @@
                python3-all-dev,
                libyaml-dev,
                intltool,
-               gnome-common,
                autoconf-archive
-Standards-Version: 4.2.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/science-team/v-sim
 Vcs-Git: https://salsa.debian.org/science-team/v-sim.git
-Homepage: http://inac.cea.fr/L_Sim/V_Sim/index.en.html
+Homepage: https://gitlab.com/l_sim/v_sim/
 Rules-Requires-Root: no
 
 Package: v-sim

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_USER_FLAGS := --with-gtk3 --with-etsf-file-format --with-openbabel --with-xsf --with-cube --with-archives --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc

export PYTHON=python3

#install/v-sim-doc::
#	rm -rf debian/tmp/usr/share/gtk-doc

binary-install/python3-v-sim::
	dh_python3 -ppython3-v-sim --no-guessing-deps

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_USER_FLAGS)

# test suite has some failures but its not clear if this has ever passed for the
# Debian package since it was never run before.  Thus ignore errors for the moment
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test || true
endif

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp/

# Avoid postinst-has-useless-call-to-ldconfig
override_dh_makeshlibs:
	dh_makeshlibs -p v-sim-plugins -n
	dh_makeshlibs --remaining-packages

override_dh_installdocs:
	# README is a symlink which makes no sense inside the final packages
	cp README debian/tmp
	cp AUTHORS debian/tmp
	dh_installdocs

# Avoid compressing files that are required as clear texts by V_Sim.
override_dh_compress:
	dh_compress -Xlicence.fr.txt -Xlicence.en.txt -XChangeLog.fr -XChangeLog.en

override_dh_missing:
	find debian/tmp -name "*.la" -delete
	find debian/tmp -type d -name __pycache__ | xargs rm -rf
	dh_missing

## v-sim 3.9.0

=== tests/exports/Makefile ===
PNGS = aluminium \
	field \
	iso \
	map \
	planes \
	color \
	links \
	vibs \
	vibsxyz

UIS = test_reload \
	test_inter

SVGS = cinchonidine

TESTS = $(PNGS) $(SVGS) $(UIS)

SRCDIR := ../examples

aluminium.args := $(SRCDIR)/aluminium.d3 -r alu.xml
field.args := $(SRCDIR)/aluminium.d3 -p $(SRCDIR)/planes.xml -f $(SRCDIR)/density-sih4.dat -v 0.01:0.05
iso.args := $(SRCDIR)/test_isosurfaces.ascii -i $(SRCDIR)/test_isosurfaces.surf
map.args := $(SRCDIR)/aluminium.d3 -p $(SRCDIR)/planes.xml -f $(SRCDIR)/density-sih4.dat -b 1 -n 10 -o box_show_lengths=1
planes.args := $(SRCDIR)/demo.ascii -p $(SRCDIR)/planes.xml
color.args := -c $(SRCDIR)/diff.dat $(SRCDIR)/diff.ascii -o main_unit=Bohr -d 12 -x 0.05:0:0 --color-clamp 1\#1e-3:5e-2 --scaling-column 2
links.args := link.ascii -o opengl_theta_phi_omega="90 -90 0" -o "pair_link[Au Mo  4.505 4.55]"="1.000 0.000 0.000  1  1  Wire pairs" -o "pair_link[Au Mo  5.495 5.505]"="0.000 1.000 0.000  1  0  Cylinder pairs" -o "pairCylinder_linkRadius[Au Mo  5.495 5.505]"=1. -o "pairCylinder_linkColorType[Au Mo  6.495 6.505]"=1 -o "pair_link[Au Mo  6.495 6.505]"="0.000 1.000 0.000  1  0  Cylinder pairs" -o fog_is_on=0
vibs.args := $(SRCDIR)/anime.ascii --phonon-mode 3 --time-offset 0.25 --phonon-amplitude 0.2 -x 0:0:1 -o fog_start_end="0.4 0.9"
vibsxyz.args := $(SRCDIR)/coord_vib_g_co.xyz --phonon-mode 42 --time-offset 0.25 --phonon-amplitude 2.

test_reload.args := $(SRCDIR)/aluminium.d3
test_inter.args := $(SRCDIR)/aluminium.d3

cinchonidine.args := $(SRCDIR)/cinchonidine.yaml -o opengl_theta_phi_omega="90 50 0" -o "backgroundColor_color"="0.538 0.667 0.699 1.0"

BIN = ../tmp/src/v_sim-dev
IMGDIFF = python imgdiff.py

OUTPUTS = $(PNGS:=.png_diff) $(PNGS:=.PNGlog) $(SVGS:=.svg_diff) $(SVGS:=.svg) $(SVGS:=.png) $(SVGS:=.log) $(UIS:=.ui_diff) $(UIS:=.UIlog) test_resources.log test_resources.diff tmp.res.xml

all: $(OUTPUTS)

clean:
	rm -f $(TESTS:=.diff*) $(OUTPUTS) $(PNGS:=.png) $(PNGS:=.win.png) $(UIS:=.win.png) 

.PHONY: clean
.SUFFIXES: .PNGlog .png_diff .svg .svg_diff .UIlog .ui_diff

#$(PNGS:=.png_diff): $(PNGS:=.PNGlog)
$(SVGS:=.svg_diff): $(SVGS:=.svg)

%.PNGlog: $(@:.PNGlog=)
	$(BIN) $($(@:.PNGlog=.args)) -e $(@:.PNGlog=.png) > $@ 2>&1
	$(BIN) $($(@:.PNGlog=.args)) -o pyScript=dump.v_sim.py >> $@ 2>&1 && mv out.win.png $(@:.PNGlog=.win.png)

.PNGlog.png_diff:
	$(IMGDIFF) $(<:.PNGlog=) $(<:.PNGlog=.ref.png) $(<:.PNGlog=.png) $(<:.PNGlog=.win.png) > $@

%.svg:
	$(BIN) $($(@:.svg=.args)) -e $@ > $(@:.svg=.log) 2>&1

.svg.svg_diff:
	convert $< -resize 600x600  $(<:.svg=.png)
	$(IMGDIFF) $(<:.svg=) $(<:.svg=.ref.png) $(<:.svg=.png) $(<:.svg=.flat.png) > $@

%UIlog: $(@:.UIlog=)
	$(BIN) $($(@:.UIlog=.args)) -o pyScript=$(@:.UIlog=).v_sim.py >> $@ 2>&1 && mv out.win.png $(@:.UIlog=.win.png)

.UIlog.ui_diff:
	$(IMGDIFF) $(<:.UIlog=) $(<:.UIlog=.ref.png) $(<:.UIlog=.win.png) > $@

test_resources.log tmp.res.xml: test_resources.v_sim.py
	$(BIN) -r ./v_sim.res.xml -o pyScript=$< > $@ 2>&1

test_resources.diff: tmp.res.xml
	diff ref.res.xml $< > $@
	@cat $@

=== lib/plug-ins/msym/libmsym/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.11)

#project(libmsym C) # unfortunately GenerateExportHeader doesn't support C projects, which sort of makes this project reqire c++ =/

project(libmsym)

option(MSYM_BUILD_EXAMPLES "Build example executables" OFF)
option(MSYM_BUILD_PYTHON "Build python binding" OFF)

include (GenerateExportHeader)

set(LIBMSYM_MAJOR_VERSION 0)
set(LIBMSYM_MINOR_VERSION 2)
set(LIBMSYM_PATCH_VERSION 4)
set(LIBMSYM_VERSION ${LIBMSYM_MAJOR_VERSION}.${LIBMSYM_MINOR_VERSION}.${LIBMSYM_PATCH_VERSION})
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(INSTALL_LIB_DIR lib CACHE PATH "Installation directory for msym library")
set(INSTALL_INCLUDE_DIR include CACHE PATH "Installation directory for header files")

if(WIN32 AND NOT CYGWIN)
  set(DEF_INSTALL_CMAKE_DIR CMake)
else()
  set(DEF_INSTALL_CMAKE_DIR lib/cmake/libmsym)
endif()
set(INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH "Installation directory for CMake files")

foreach(p LIB BIN INCLUDE CMAKE)
  set(var INSTALL_${p}_DIR)
  if(NOT IS_ABSOLUTE "${${var}}")
    set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
  endif()
endforeach()

include_directories("${PROJECT_SOURCE_DIR}")

file (GLOB source src/*.c)
add_library (msym ${source})

if (BUILD_SHARED_LIBS)
	set_target_properties(msym PROPERTIES
		POSITION_INDEPENDENT_CODE TRUE
		C_VISIBILITY_PRESET hidden
		VISIBILITY_INLINES_HIDDEN 1)

else()
	set_target_properties(msym PROPERTIES COMPILE_FLAGS -DMSYM_EXPORTS_BUILT_AS_STATIC)
endif ()

include_directories("${PROJECT_BINARY_DIR}")

set_target_properties(msym PROPERTIES VERSION ${LIBMSYM_VERSION})
set_target_properties(msym PROPERTIES SOVERSION ${LIBMSYM_MAJOR_VERSION}.${LIBMSYM_MINOR_VERSION})

generate_export_header(msym
             BASE_NAME msym
             EXPORT_MACRO_NAME MSYM_EXPORT
             EXPORT_FILE_NAME msym_EXPORTS.h
	     STATIC_DEFINE MSYM_EXPORTS_BUILT_AS_STATIC)

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
#set_target_properties (msym PROPERTIES
#        C_STANDARD 99
#        C_STANDARD_REQUIRED ON)

#set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -flto")
#set (CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -flto" )
#set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -fsanitize=address -fno-omit-frame-pointer")
#set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99 -fsanitize=memory -fno-omit-frame-pointer -fsanitize-memory-track-origins")

set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wall -DLIBMSYM_DEBUG")

set_target_properties(msym PROPERTIES PUBLIC_HEADER "src/msym.h;src/msym_error.h")

if(UNIX)
        target_link_libraries(msym m)
endif(UNIX)

export(TARGETS msym FILE "${PROJECT_BINARY_DIR}/libmsymTargets.cmake")

export(PACKAGE libmsym)

file(RELATIVE_PATH REL_INCLUDE_DIR "${INSTALL_CMAKE_DIR}" "${INSTALL_INCLUDE_DIR}")
set(CONF_INCLUDE_DIRS "${PROJECT_SOURCE_DIR}" "${PROJECT_BINARY_DIR}")
configure_file(libmsymConfig.cmake.in "${PROJECT_BINARY_DIR}/libmsymConfig.cmake" @ONLY)
set(CONF_INCLUDE_DIRS "\${LIBMSYM_CMAKE_DIR}/${REL_INCLUDE_DIR}")
configure_file(libmsymConfig.cmake.in "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/libmsymConfig.cmake" @ONLY)
configure_file(libmsymConfigVersion.cmake.in "${PROJECT_BINARY_DIR}/libmsymConfigVersion.cmake" @ONLY)

install(FILES
    "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/libmsymConfig.cmake"
    "${PROJECT_BINARY_DIR}/libmsymConfigVersion.cmake"
    DESTINATION "${INSTALL_CMAKE_DIR}")

# EXPORT HEADER
install(FILES "${PROJECT_BINARY_DIR}/msym_EXPORTS.h" DESTINATION "${INSTALL_INCLUDE_DIR}/libmsym")

install(TARGETS msym
        EXPORT libmsymTargets
        RUNTIME DESTINATION "${INSTALL_BIN_DIR}"
        ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
        PUBLIC_HEADER DESTINATION "${INSTALL_INCLUDE_DIR}/libmsym"
        LIBRARY DESTINATION "${INSTALL_LIB_DIR}" )

install(EXPORT libmsymTargets DESTINATION "${INSTALL_CMAKE_DIR}")

if(MSYM_BUILD_EXAMPLES)
	add_subdirectory(examples)
endif()

if(MSYM_BUILD_PYTHON)
	if(BUILD_SHARED_LIBS)
		add_subdirectory(bindings/python)
	else()
		message(SEND_ERROR "python requires libmsym to be built as a shared library, use -DBUILD_SHARED_LIBS:BOOL=ON")
	endif()
endif()

=== lib/plug-ins/msym/libmsym/bindings/python/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.11)

find_program(PYTHON "python")
if (PYTHON)
	set(MSYM_PYTHON_PACKAGE_DIR  "${CMAKE_CURRENT_BINARY_DIR}/libmsym")
	set(MSYM_PYTHON_SETUP_IN     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/setup.py.in")
	set(MSYM_PYTHON_INIT_C_IN    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/__init__.py.in")
	set(MSYM_PYTHON_CODE_IN      "${CMAKE_CURRENT_SOURCE_DIR}/libmsym/libmsym.py")
	set(MSYM_PYTHON_SETUP        "${CMAKE_CURRENT_BINARY_DIR}/setup.py")
	set(MSYM_PYTHON_INIT_G_IN    "${CMAKE_CURRENT_BINARY_DIR}/__init__.py.in")
	set(MSYM_PYTHON_INIT         "${MSYM_PYTHON_PACKAGE_DIR}/__init__.py")
	set(MSYM_PYTHON_CODE         "${MSYM_PYTHON_PACKAGE_DIR}/libmsym.py")
	set(MSYM_PYTHON_STAMP        "${CMAKE_CURRENT_BINARY_DIR}/build/timestamp")
	set(MSYM_PYTHON_INSTALL_OPTS "" CACHE STRING "install options for setup.py")

	# There simply has to be a better way to get distutils to install a shared library
	# from a custom path without overriding all of the command classes,
	# get cmake to tell me where the library is located in a less convoluted way
	# or get python to use other means than ldconfig to load shared libraries... this is ridiculous
	configure_file(${MSYM_PYTHON_SETUP_IN} ${MSYM_PYTHON_SETUP})
	configure_file(${MSYM_PYTHON_INIT_C_IN} ${MSYM_PYTHON_INIT_G_IN})
	file(GENERATE OUTPUT ${MSYM_PYTHON_INIT} INPUT ${MSYM_PYTHON_INIT_G_IN})
	file(COPY ${MSYM_PYTHON_CODE_IN} DESTINATION ${MSYM_PYTHON_PACKAGE_DIR}) 

	add_custom_command(OUTPUT ${MSYM_PYTHON_STAMP}
			COMMAND ${PYTHON} ${MSYM_PYTHON_SETUP} build
			COMMAND ${CMAKE_COMMAND} -E touch ${MSYM_PYTHON_STAMP}
			DEPENDS ${MSYM_PYTHON_INIT_IN} ${MSYM_PYTHON_SETUP_IN} ${MSYM_PYTHON_CODE_IN})

	add_custom_target(target ALL DEPENDS ${MSYM_PYTHON_STAMP})

	install(CODE "execute_process(COMMAND ${PYTHON} ${MSYM_PYTHON_SETUP} install ${MSYM_PYTHON_INSTALL_OPTS})")
endif()

=== debian/changelog ===
v-sim (3.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Damien Caliste ]
  * New upstream version 3.9.0.
    Closes: #1114431
  * Don't package .so library, fix Lintian warning
    link-to-shared-library-in-wrong-package
  * Update soname in override, fix Lintian warning mismatched-override

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)
  * Build-Depends: libgirepository1.0-dev => gobject-introspection (>= 1.80)
  * More national-encoding lintian-overrides

  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1114431)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Oct 2025 22:28:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-gir,
-               mesa-common-dev,
-               libglu1-mesa-dev,
                pkgconf,
                libglib2.0-dev,
                libgtk-3-dev,
@@ -18,15 +16,14 @@
                gobject-introspection,
                python3-gi,
                python-gi-dev,
-               libgirepository1.0-dev,
+               gobject-introspection (>= 1.80),
                gir1.2-gtk-3.0,
-               libftgl-dev,
                libarchive-dev,
                python3-all-dev,
                libyaml-dev,
                intltool,
                autoconf-archive
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/v-sim
 Vcs-Git: https://salsa.debian.org/science-team/v-sim.git
 Homepage: https://gitlab.com/l_sim/v_sim/
@@ -84,7 +81,7 @@
  molecules and so on (either in binary format, or in plain text format).
  .
  A comprehensive manual is available on the web site,
- see http://inac.cea.fr/L_Sim/V_Sim/user_guide.html.
+ see https://l_sim.gitlab.io/v_sim/user_guide.html.
  .
  This package contains several examples of files readable with V_Sim.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 
-DEB_CONFIGURE_USER_FLAGS := --with-gtk3 --with-etsf-file-format --with-openbabel --with-xsf --with-cube --with-archives --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc
+DEB_CONFIGURE_USER_FLAGS := --with-etsf-file-format --with-openbabel --with-xsf --with-cube --with-archives --enable-introspection --disable-static --docdir=\$${prefix}/share/doc/v-sim-doc
 
 export PYTHON=python3
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 #install/v-sim-doc::
 #	rm -rf debian/tmp/usr/share/gtk-doc

=== debian/watch ===
version=4

opts="mode=git, dversionmangle=auto" \
   https://gitlab.com/l_sim/v_sim.git refs/tags/@ANY_VERSION@
